JUCE: ComboBoxParameterAttachment Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ComboBoxParameterAttachment Class Reference
juce_audio_processors » utilities

An object of this class maintains a connection between a ComboBox and a plug-in parameter. More...

`#include <juce_ParameterAttachments.h>`

Inheritance diagram for ComboBoxParameterAttachment:

## Public Member Functions
| ComboBoxParameterAttachment (RangedAudioParameter &parameter, ComboBox &combo, UndoManager *undoManager=nullptr)
| Creates a connection between a plug-in parameter and a ComboBox.
| ~ComboBoxParameterAttachment () override
| Destructor.
void | sendInitialUpdate ()
| Call this after setting up your combo box in the case where you need to do extra setup after constructing this attachment.

## Detailed Description

An object of this class maintains a connection between a ComboBox and a plug-in parameter.

ComboBox items will be spaced linearly across the range of the parameter. For example if the range is specified by NormalisableRange<float> (-0.5f, 0.5f, 0.5f) and you add three items then the first will be mapped to a value of -0.5, the second to 0, and the third to 0.5.

During the lifetime of this object it keeps the two things in sync, making it easy to connect a combo box to a parameter. When this object is deleted, the connection is broken. Make sure that your parameter and ComboBox are not deleted before this object!

## Constructor & Destructor Documentation

## ◆ ComboBoxParameterAttachment()

ComboBoxParameterAttachment::ComboBoxParameterAttachment | ( | RangedAudioParameter & | parameter,
|  | ComboBox & | combo,
|  | UndoManager * | undoManager = `nullptr`
| ) |  |

Creates a connection between a plug-in parameter and a ComboBox.

Parameters

  parameter | The parameter to use
  combo | The ComboBox to use
  undoManager | An optional UndoManager

## ◆ ~ComboBoxParameterAttachment()

ComboBoxParameterAttachment::~ComboBoxParameterAttachment | ( |  | ) |
| override

Destructor.

## Member Function Documentation

## ◆ sendInitialUpdate()

void ComboBoxParameterAttachment::sendInitialUpdate | ( |  | ) |

Call this after setting up your combo box in the case where you need to do extra setup after constructing this attachment.

The documentation for this class was generated from the following file:

- juce_ParameterAttachments.h